System 2.0.0.0 4.0.0.0 System.Enum

This enumeration defines valid values for the property.

Specifies the operational state of a network interface.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.OperationalStatus

  The network interface is not in a condition to transmit data packets; it is waiting for an external event.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.OperationalStatus

  The network interface is unable to transmit data packets.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.OperationalStatus

  The network interface is unable to transmit data packets because it runs on top of one or more other interfaces, and at least one of these "lower layer" interfaces is down.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.OperationalStatus

  The network interface is unable to transmit data packets because of a missing component, typically a hardware component.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.OperationalStatus

  The network interface is running tests.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.OperationalStatus

  The network interface status is not known.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.OperationalStatus

  The network interface is up; it can transmit data packets.